#include "tim.h"

#include "stm32l0xx.h"

#define TIM2_AF 0x02


void tim2_oc_2ch()
	{


	/*Enable clock access to GPIOA*/
	RCC->IOPENR |= RCC_IOPENR_GPIOAEN;
	/*Set PA0 and PA1 to alternate function*/
	GPIOA->MODER|=GPIO_MODER_MODE0_1|GPIO_MODER_MODE1_1;
	GPIOA->MODER&=~(GPIO_MODER_MODE0_0|GPIO_MODER_MODE1_0);


	/*Select which alternate function*/
	GPIOA->AFR[0]|=(TIM2_AF<<0)|(TIM2_AF<<4);

	/**Configure timer 2 in PWM mode */

	RCC->APB1ENR|=RCC_APB1ENR_TIM2EN;
	TIM2->PSC=2097;
	TIM2->ARR=1000;
	TIM2->CCMR1|=TIM_CCMR1_OC1M_0|TIM_CCMR1_OC1M_1|TIM_CCMR1_OC2M_0|TIM_CCMR1_OC2M_1;
	TIM2->CCER|=TIM_CCER_CC1E|TIM_CCER_CC2E|TIM_CCER_CC2P;
	TIM2->CCR1=0;
	TIM2->CCR2=0;
	TIM2->CR1|=TIM_CR1_CEN;

	}
